<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>

    <IsPackable>false</IsPackable>
    <IsTestProject>true</IsTestProject>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.NET.Test.Sdk" Version="17.6.0" />
    <PackageReference Include="xunit" Version="2.4.2" />
    <PackageReference Include="xunit.runner.visualstudio" Version="2.4.5">
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
      <PrivateAssets>all</PrivateAssets>
    </PackageReference>
    <PackageReference Include="coverlet.collector" Version="6.0.0">
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
      <PrivateAssets>all</PrivateAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.EntityFrameworkCore.InMemory" Version="8.0.10" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\src\OmsorgCore.Domain\OmsorgCore.Domain.csproj" />
    <ProjectReference Include="..\..\src\OmsorgCore.Application\OmsorgCore.Application.csproj" />
    <ProjectReference Include="..\..\src\OmsorgCore.Email\OmsorgCore.Email.csproj" />
    <ProjectReference Include="..\..\src\OmsorgCore.Infrastructure\OmsorgCore.Infrastructure.csproj" />
    <ProjectReference Include="..\..\src\OmsorgCore.Engine\OmsorgCore.Engine.csproj" />
  </ItemGroup>

</Project>
